https://bugzilla.redhat.com/show_bug.cgi?id=1404043



--- Comment #35 from Honggang LI <ho...@redhat.com> ---
(In reply to Kevin Fenzi from comment #33)

> Slightly longer term, we have put in a PR to make lorax not prune perl: 
> https://github.com/rhinstaller/lorax/pull/228 once thats merged and in a
> rawhide lorax build we can retag or rebuild rdma-core

I checked
https://kojipkgs.fedoraproject.org//packages/lorax/27.5/1.fc27/src/lorax-27.5-1.fc27.src.rpm
, the patch had been merged.

Joard, we need rebuild rdma-core again to get the new rdma-core package into
Fedora Rawhide. I had installed a fresh Rawhide (f27) virtual machine, f27
still using the old rdma package.

Please consider to apply this patch, it fixes to minor issue.
1) As #comment 31 suggest, it use %{?systemd_requires} macro
2) srp_daemon should own directory %{_libexecdir}/srp_daemon

srp_daemon only owns %{_libexecdir}/srp_daemon/start_on_all_ports . It should
own the whole directory %{_libexecdir}/srp_daemon . Issue 2) exists in upstream
rdma-core git repo too.

diff --git a/rdma-core.spec b/rdma-core.spec
index 540889b..ce244f3 100644
--- a/rdma-core.spec
+++ b/rdma-core.spec
@@ -175,9 +175,7 @@ displays information about RDMA devices.

 %package -n ibacm
 Summary: InfiniBand Communication Manager Assistant
-Requires(post): systemd-units
-Requires(preun): systemd-units
-Requires(postun): systemd-units
+%{?systemd_requires}
 Requires: %{name}%{?_isa} = %{version}-%{release}
 Requires: libibumad%{?_isa} = %{version}-%{release}
 Requires: libibverbs%{?_isa} = %{version}-%{release}
@@ -194,9 +192,7 @@ library knows how to talk directly to the ibacm daemon to
retrieve data.

 %package -n iwpmd
 Summary: iWarp Port Mapper userspace daemon
-Requires(post): systemd-units
-Requires(preun): systemd-units
-Requires(postun): systemd-units
+%{?systemd_requires}
 Requires: %{name}%{?_isa} = %{version}-%{release}

 %description -n iwpmd
@@ -242,9 +238,7 @@ Summary: Tools for using the InfiniBand SRP protocol
devices
 Obsoletes: srptools <= 1.0.3
 Provides: srptools = %{version}-%{release}
 Obsoletes: openib-srptools <= 0.0.6
-Requires(post): systemd-units
-Requires(preun): systemd-units
-Requires(postun): systemd-units
+%{?systemd_requires}
 Requires: %{name}%{?_isa} = %{version}-%{release}
 Requires: libibumad%{?_isa} = %{version}-%{release}
 Requires: libibverbs%{?_isa} = %{version}-%{release}
@@ -489,7 +483,7 @@ rm -rf %{buildroot}/%{_initrddir}/

 %files -n srp_daemon
 %config(noreplace) %{_sysconfdir}/srp_daemon.conf
-%{_libexecdir}/srp_daemon/start_on_all_ports
+%{_libexecdir}/srp_daemon
 %{_unitdir}/srp_daemon.service
 %{_unitdir}/srp_daemon_port@.service
 %{_sbindir}/ibsrpdm

-- 
You are receiving this mail because:
You are on the CC list for the bug.
You are always notified about changes to this product and component
_______________________________________________
package-review mailing list -- package-review@lists.fedoraproject.org
To unsubscribe send an email to package-review-le...@lists.fedoraproject.org

Reply via email to